Bug 60214 - iptables v1.2.4: can't initialize iptables table `filter': ( if using kernel 2.4.17 )
iptables v1.2.4: can't initialize iptables table `filter': ( if using kernel ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-21 22:36 EST by Need Real Name
Modified: 2007-03-26 23:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-22 22:00:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-21 22:36:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
i upgraded my kernel ( RH7.2) from the default kernel version to 2.4.17 SMP. 
then when i run iptables it gave me:
modprobe: Can't locate module ip_tables
iptables v1.2.4: can't initialize iptables table `filter': iptables who? (do 
you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1) i upgraded my kernel ( RH7.2) from the default kernel version to 2.4.17 SMP. 
then when i run iptables it gave me:
2) iptables -L


Actual Results:  modprobe: Can't locate module ip_tables
iptables v1.2.4: can't initialize iptables table `filter': iptables who? (do 
you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.

Expected Results:  Chain INPUT (policy ACCEPT)
target     prot opt source               destination         

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination         

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination

Additional info:
Comment 1 Need Real Name 2002-02-21 22:45:05 EST
iptables isnt compiled as module in the kernel configuration and there's no 
option to make it as a module.
Comment 2 Ben Levenson 2002-02-22 11:41:31 EST
changing component to kernel
the latest supported kernel for 7.2 is 2.4.9-21. 
if the kernel is from Rawhide 
(ftp://pub/redhat/linux/rawhide/i386/RedHat/RPMS/), then perhaps the product 
should be switched to Red Hat Linux Rawhide.
changing to NEEDINFO -- please toggle product to RAWHIDE if this is where
you got the kernel, otherwise close as NOTABUG. thanks.
Comment 3 Ben Levenson 2002-02-22 22:00:04 EST
reopening so I can close as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.